﻿<form-template titleForm="Residente" [form]="form" [busy]="service.busy" [edit]="service.editing"
  (changes)="onAction($event)" [(addOnlyOne)]="service.addOnlyOne">
  <ng-container content-type="codigo" *ngIf="service.editing">
    <small class="p-1"><strong class="font-xs text-muted">Codigo:&nbsp;</strong>{{service.model?.Id}}</small>
  </ng-container>

  <form #form="ngForm" autocomplete="off">
    <div class="row">
      <div class="col-md-3" input-wrapper label="DNI" >
        <input type="text" class="form-control" placeholder="Identificacion" name="dni"
          [(ngModel)]="service.model.DNI" minlength="11" maxlength="11" ngbAutofocus>
      </div>
      <div class="col-md-4" [input-wrapper]="name" label="Nombre">
        <input type="text" class="form-control" name="nombre"
          [(ngModel)]="service.model.Nombre" #name="ngModel" required>
      </div>
      <div class="col-md-4" [input-wrapper]="apellido" label="Apellido">
        <input type="text" class="form-control" name="apellido"
          [(ngModel)]="service.model.Apellido" #apellido="ngModel" required>
      </div>
    </div>
    <div class="row">
      <div class="col-md-4" [input-wrapper]="date" label="Nacimiento">
        <div class="input-group">
          <input type="text" class="form-control" placeholder="dd-mm-aaaa" name="Nacimiento" ngbDatepicker
            #d="ngbDatepicker" #date="ngModel" [(ngModel)]="service.model.Nacimiento" readonly>
          <div class="input-group-append">
            <button class="btn btn-info btn-sm" (click)="d.toggle()">
              <i class="mdi mdi-calendar mdi-18px"></i>
            </button>
          </div>
        </div>
      </div>
      <div class="col-md-3" input-wrapper label="Tipo de Residente">
        <select class="form-control" name="tipoResidente" #tipoR="ngModel" [(ngModel)]="service.model.TipoResidenteId"
          [default]="null">
          <option [ngValue]="null">--Seleciona un Tipo--</option>
          <option *ngFor="let type of service.tipoResidente" [ngValue]="type.value">
            {{ type.label }}
          </option>
        </select>
      </div>
      <div class="col-md-3" [input-wrapper]="telefono" label="Telefono">
        <input type="tel" class="form-control" name="telefono" #telefono="ngModel" [ngModel]="service.model.Telefono | phone"
          (ngModelChange)="service.model.Telefono = $event">
      </div>
    </div>
    <div class="row">
      <div class="col-md-2" input-wrapper label="Genero">
        <div class="custom-control custom-control-inline custom-radio"
          *ngFor="let radioBtn of service.radioButtons; let i = index;">
          <input type="radio" name="genero" [value]="radioBtn" id="{{i}}a" [(ngModel)]="service.model.Genero"
          class="custom-control-input">
          <label for="{{i}}a" class="custom-control-label">{{ radioBtn }}</label>
        </div>
      </div>
      <div class="col-md-2" input-wrapper label="&nbsp;">
        <div class="custom-control custom-checkbox">
          <input type="checkbox" name="activo" id="activo" class="custom-control-input" [(ngModel)]="service.model.Activo"
            #activo="ngModel" [default]="true">
          <label for="activo" class="custom-control-label">Activo</label>
        </div>
      </div>
    </div>
  </form>

  <ng-container *ngIf="service.editing">
    <ul class="nav-tabs mt-2" ngbNav #nav="ngbNav">
      <!-- No destruir, mantiene los datos recibidos para no realizar una peticion cada vez que se muestre  -->
      <li ngbNavItem [destroyOnHide]="false">
        <a ngbNavLink>
          Residencia
        </a>
        <ng-template ngbNavContent>
          <div class="row">
            <div class="col-md-12">
              <app-residente-relacion></app-residente-relacion>
            </div>
          </div>
        </ng-template>
      </li>
      <li ngbNavItem *ngIf="service.model.TipoResidenteId === 1">
        <a ngbNavLink>
          Propiedades
        </a>
        <ng-template ngbNavContent>
          <div class="row">
            <div class="col-md-12">
              <app-residente-residencia></app-residente-residencia>
            </div>
          </div>
        </ng-template>
      </li>
    </ul>
    <div class="mt-2" [ngbNavOutlet]="nav"></div>
  </ng-container>
</form-template>
